Skip to main content
GET
/
status-pages
/
{id}
/
design
/
versions
/
{versionId}
curl "https://kodostatus.com/api/v1/status-pages/<page-id>/design/versions/<version-id>" \
  -H "X-API-Key: your_api_key"
{
  "version": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": { "brand": { "primary": "#0ea5e9" } },
    "layout": { "sections": [{ "type": "services_list", "enabled": true }] },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  },
  "is_current": true,
  "is_draft": false
}

Path Parameters

id
string
required
Status page ID.
versionId
string
required
Design version UUID.

Response

version
object
Full design version object including theme_tokens, layout, and template.
is_current
boolean
Whether this version is the current published pointer.
is_draft
boolean
Whether this version is the current draft pointer.
curl "https://kodostatus.com/api/v1/status-pages/<page-id>/design/versions/<version-id>" \
  -H "X-API-Key: your_api_key"
{
  "version": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": { "brand": { "primary": "#0ea5e9" } },
    "layout": { "sections": [{ "type": "services_list", "enabled": true }] },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  },
  "is_current": true,
  "is_draft": false
}

Common Errors

StatusCodeMeaning
404-Status page not found
404-Design version not found